export function createHoudiniConfig(config) {
    return {
        schemaPath: '.sveltekit-graphql/schema.graphql',
        include: 'src/**/*.{svelte,gql,ts,js}',
        plugins: {
            'houdini-svelte': {
                client: './src/graphql/client.ts',
            },
            ...(config.plugins ?? {}),
        },
        ...config,
    };
}
//# sourceMappingURL=config.js.map