import { type YogaServerOptions } from 'graphql-yoga';
export declare function createSchema(modules: {
    typeDefs: any;
    resolvers: any;
}[]): import("graphql-yoga").GraphQLSchemaWithContext<import("graphql").GraphQLResolveInfo & import("graphql-yoga").YogaInitialContext>;
export type ServerOptions = {
    endpoint?: string;
    context?: YogaServerOptions<{}, {}>['context'];
};
export declare function createServer(schema: ReturnType<typeof createSchema>, { endpoint, context }?: ServerOptions): import("graphql-yoga").YogaServerInstance<{}, {}>;
